package com.spc.utli;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.amazonaws.auth.AWSStaticCredentialsProvider;
import com.amazonaws.auth.BasicSessionCredentials;
import com.amazonaws.client.builder.AwsClientBuilder;
import com.amazonaws.services.s3.AmazonS3;
import com.amazonaws.services.s3.AmazonS3ClientBuilder;
import com.amazonaws.services.s3.model.PutObjectResult;

import static com.spc.utli.DogGetApi.dogeAPIGet;

public class S3 {
    public static AmazonS3 initS3(JSONObject credentials){
        BasicSessionCredentials awsCredentials = new BasicSessionCredentials(credentials.getString("accessKeyId"), credentials.getString("secretAccessKey"), credentials.getString("sessionToken"));
        AmazonS3 s3 = AmazonS3ClientBuilder.standard()
                .withCredentials(new AWSStaticCredentialsProvider(awsCredentials))
                .withEndpointConfiguration(new AwsClientBuilder.EndpointConfiguration(
                        "https://cos.ap-shanghai.myqcloud.com", // 修改为多吉云控制台存储空间 SDK 参数中的 s3Endpoint
                        "automatic"))
                .build();
        return s3;
    }

    public static void main(String[] args) throws Exception {
        JSONObject data = dogeAPIGet("/oss/bucket/list.json");
        JSONArray buckets = data.getJSONArray("buckets");
        for (int i = 0 ; i < buckets.length(); i++) {
            System.out.println(buckets.getJSONObject(i).toString());
        }

        JSONObject credentials = DuoJiYunUtil.getCredentials();
        AmazonS3 s3 = initS3(credentials);
        PutObjectResult putObjectResult = s3.putObject("s-sh-7714-muyu-1258813047", "lihao.png", new File("D:\\img\\4~NIBGJKOVQ}7HA$0J~9REW.png"));
        String string = putObjectResult.toString();
        System.out.println(string);

    }

}
